netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
atp_internals.h File Reference
`#include <sys/types.h>`
`#include <netatalk/at.h>`
`#include <atalk/atp.h>`

Go to the source code of this file.

## Macros
#define | ATP_FUNCANY ATP_TREQ | ATP_TRESP | ATP_TREL
#define | ATP_TIDANY 0xffff

## Functions
struct atpbuf * | atp_alloc_buf (void)
void | atp_print_bufuse (ATP, char *)
int | atp_free_buf (struct atpbuf *)
int | at_addr_eq (struct sockaddr_at *, struct sockaddr_at *)
void | atp_build_req_packet (struct atpbuf *, uint16_t, uint8_t, struct atp_block *)
void | atp_build_resp_packet (struct atpbuf *, uint16_t, uint8_t, struct atp_block *, uint8_t)
int | atp_recv_atp (ATP, struct sockaddr_at *, uint8_t *, uint16_t, char *, int)

## Macro Definition Documentation

## ◆ ATP_FUNCANY

#define ATP_FUNCANY ATP_TREQ | ATP_TRESP | ATP_TREL

masks for matching incoming packets

## ◆ ATP_TIDANY

#define ATP_TIDANY 0xffff

## Function Documentation

## ◆ at_addr_eq()

int at_addr_eq | ( | struct sockaddr_at * | paddr,
|  | struct sockaddr_at * | saddr )
| extern

## ◆ atp_alloc_buf()

struct atpbuf * atp_alloc_buf | ( | void |  | ) |
| extern

## ◆ atp_build_req_packet()

void atp_build_req_packet | ( | struct atpbuf * | pktbuf,
|  | uint16_t | tid,
|  | uint8_t | ctrl,
|  | struct atp_block * | atpb )
| extern

## ◆ atp_build_resp_packet()

void atp_build_resp_packet | ( | struct atpbuf * | pktbuf,
|  | uint16_t | tid,
|  | uint8_t | ctrl,
|  | struct atp_block * | atpb,
|  | uint8_t | seqnum )
| extern

## ◆ atp_free_buf()

int atp_free_buf | ( | struct atpbuf * | bp | ) |
| extern

## ◆ atp_print_bufuse()

void atp_print_bufuse | ( | ATP | ,
|  | char * | )
| extern

## ◆ atp_recv_atp()

int atp_recv_atp | ( | ATP | ah,
|  | struct sockaddr_at * | fromaddr,
|  | uint8_t * | func,
|  | uint16_t | tid,
|  | char * | rbuf,
|  | int | wait )
| extern